#ifndef ShapeCommand_First
#define ShapeCommand_First

#include "CmdNo.h"
#include "Command.h"
#include "Shapes.h"

const int cPATTERNMENU = cUSERCMD,
    	  cWHITE  = cUSERCMD + 100,
    	  cGREY25 = cUSERCMD + 101,
    	  cGREY50 = cUSERCMD + 102,
    	  cGREY75 = cUSERCMD + 103,
          cBLACK  = cUSERCMD + 104,
          cPAT00  = cUSERCMD + 105,
          cPAT01  = cUSERCMD + 106,
          cPAT02  = cUSERCMD + 107,
          cRED    = cUSERCMD + 108,
          cGREEN  = cUSERCMD + 109,
          cBLUE   = cUSERCMD + 110; 

//---- PatternCommand ----------------------------------------------------------

class PatternCommand: public Command {
    Shape *shape;
    int oldPattern, newPattern;
public:
    MetaDef(PatternCommand);

    PatternCommand(Shape *s, int newpat);

    void DoIt()
    	{ shape->SetPattern(newPattern); }

    void UndoIt()
    	{ shape->SetPattern(oldPattern); }
};


#endif ShapeCommand_First
