//
//  File: Shapes.C
//
//  ET++ Tutorial   Lernabschnitt:  5     Command & Menu
//

#include "ET++.h"
#include "GapText.h"
#include "Shapes.h"


//--- Shape --------------------------------------------------------------------

MetaImpl(Shape, (T(ink)));

void Shape::SetPattern(int newpat) 
{
    ink= newpat;
    ForceRedraw();
    Changed();
}

Command *Shape::DoLeftButtonDownCommand(Point, Token t, int)
{
    if (t.Flags & eFlgCntlKey)
	return GetStretcher();
    return GetMover();
}

ostream &Shape::PrintOn(ostream &s)
{
    VObject::PrintOn(s);
    return s << ink SP;
}

istream &Shape::ReadFrom(istream &s)
{
    VObject::ReadFrom(s);
    return s >> ink;
}



//---- BoxShape --------------------------------------------------------

MetaImpl0(BoxShape);



//---- OvalShape --------------------------------------------------------

MetaImpl0(OvalShape);


